Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.2 released.

Mon Apr 18 08:08:29 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS:

          NEWS updates.

Fri Apr 15 07:34:39 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:
          Fixed memory leak

Thu Apr 14 14:05:16 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Logger_Service.cpp:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:
          Errors.

Wed Apr 13 16:54:52 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/NodeManager/NodeManager_Impl.cpp:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.h:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          gen_ostream fixes.

Wed Apr 13 13:54:11 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tests/LocalityManager/CircularDependency/CircularDependency.mpc:

          Don't attempt to put the library in $ACE_ROOT/lib.
          Fixed missing end-of-file newline.

Wed Apr 13 11:52:01 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Compile fix.

Tue Apr 12 11:44:20 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/CircularDependency/Circular_Dependency_export.h:
        * tests/LocalityManager/CircularDependency/Handler_A.h:
        * tests/LocalityManager/CircularDependency/Handler_B.h:

          Renamed the export file to avoid a spurious fuzz error.

        * tests/LocalityManager/CircularDependency/CircularDependency_export.h:

          Removed this file.

Tue Apr 12 01:16:47 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/CircularDependency/Handler_A.cpp:
        * tests/LocalityManager/CircularDependency/Handler_B.cpp:

          Warnings.

Mon Apr 11 11:13:10 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_plan_launcher.mpb:

          Link fix.

Mon Apr 11 03:00:40 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/CircularDependency:
        * tests/LocalityManager/CircularDependency/CircularDependency.mpc:
        * tests/LocalityManager/CircularDependency/CircularDependency_export.h:
        * tests/LocalityManager/CircularDependency/Deployment.cdp:
        * tests/LocalityManager/CircularDependency/Handler_A.h:
        * tests/LocalityManager/CircularDependency/Handler_A.cpp:
        * tests/LocalityManager/CircularDependency/Handler_B.h:
        * tests/LocalityManager/CircularDependency/Handler_B.cpp:
        * tests/LocalityManager/CircularDependency/run_test.pl:

          Test excercising the behavior when a circular dependency exists between
          installation handlers.  This has revealed a bug, which has yet to be fixed.

Mon Apr 11 02:57:16 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/LM_Launcher.h:
        * dance/Plan_Launcher/Plan_Launcher.cpp:

          Fuzz and bugfixes.

Sun Apr 10 19:38:22 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/LM_Launcher.h:
        * dance/Plan_Launcher/LM_Launcher.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * dance/Plan_Launcher/Plan_Launcher.mpc:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Add capability to launch directly to the LocalityManager.

Sun Apr 10 17:37:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Logger_Backend/ndds/NDDS_Logger.mpc:
          Fixed base project due to ndds base project changes

Sat Apr  9 17:47:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Thu Apr  7 12:24:30 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * dance/DomainApplicationManager/Node_Locator.cpp:
                  Removed comma after DLINFO in a log message. Therefor the message
                  will be logged properly.

        === end changelog ===

Sat Apr  9 11:36:47 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

          Warning.

Sat Apr  9 01:41:40 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DomainApplication/Domain_Application_Impl.cpp:

          Improved error handling.

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:

          Remove logic that installed error handler interceptors outside of
          a localityconfig file.

Sat Apr  9 01:41:02 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Logger_Service.cpp:

          Add command line option for backend selection.

Thu Apr  7 22:06:23 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/DAnCE_Logging.txt:

          Documentation of logging service.

Thu Apr  7 12:45:08 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:

          Improved error handling.

Wed Apr  6 18:32:27 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Logger_Service.cpp:

          wchar fix.

Wed Apr  6 18:03:40 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Logger_Service.cpp:

          Fixed a bug whereby the default condition (stderr) would cause failures.

Wed Apr  6 12:53:57 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Logger_Service.h:
        * dance/Logger/Logger_Service.cpp:
        * tools/Logger_Backend/ndds/Log_Backend.cpp:
        * tools/Logger_Backend/ndds/Log_Record.idl:
        * tools/Logger_Backend/ndds/USER_QOS_PROFILES.xml:

         Deleted trailing whitespace.

Wed Apr  6 01:17:10 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_deployment_stub.mpb:

          Link in the logger, as it's used by some files in this project.

        * dance/ExecutionManager/Execution_Manager.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:
        * dance/NodeManager/Node_Manager.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:

          Initialize the ORB before the logger, so dynamic services from
          svc.conf are available to the logger.

        * dance/Logger/Logger_Service.h:
        * dance/Logger/Logger_Service.cpp:

          Log backends can now be loaded from dynamic services from svc.conf.
          DANCE_LOG_BACKEND will specify the name of the dynamic service. See
          the below svc.conf file for an example.

        * tools/Logger_Backend/ndds/Log_Backend.h:
        * tools/Logger_Backend/ndds/Log_Backend.cpp:
        * tools/Logger_Backend/ndds/USER_QOS_PROFILES.xml:
        * tools/Logger_Backend/ndds/svc.conf:

          Bugfixes, expanded capabilities.

Tue Apr  5 13:27:22 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Attempt to fix error on windows.

Tue Apr  5 13:18:32 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/Log_Server.cpp:

          Warnings.

Tue Apr  5 13:16:46 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/NDDS_Logger.mpc:

          Linker fix for Windows.

Mon Apr  4 01:03:22 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/Log_Backend.cpp:
        * tools/Logger_Backend/ndds/Log_Record.idl:
        * tools/Logger_Backend/ndds/Log_Server.cpp:

          Warnings.

Fri Apr  1 15:19:41 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tools/Logger_Backend/ndds/Log_Backend.cpp:

          more fuzz.

Thu Mar 31 22:27:54 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/Log_Backend.cpp:

          Warnings.

Thu Mar 31 22:08:34 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/Log_Record.idl:
        * tools/Logger_Backend/ndds/NDDS_Logger.mpc:

          Fuzz.

Wed Mar 30 03:43:13 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend/ndds/Log_RecordS.cpp:

          Removed this file.

Wed Mar 30 03:38:36 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Logger_Backend:
        * tools/Logger_Backend/ndds:
        * tools/Logger_Backend/ndds/DAnCE_NDDS_Log_Export.h:
        * tools/Logger_Backend/ndds/Log_Backend.h:
        * tools/Logger_Backend/ndds/Log_Backend.cpp:
        * tools/Logger_Backend/ndds/Log_Record.idl:
        * tools/Logger_Backend/ndds/Log_RecordS.cpp:
        * tools/Logger_Backend/ndds/Log_Server.cpp:
        * tools/Logger_Backend/ndds/NDDS_Logger.mpc:

          NDDS-based logging backend for DAnCE.  This serves as both a
          useful error reporting tool, and as a case study in DDS for
          myself.  As such, the implementation is rather simple now, and
          possibly incorrect.  In the future it will be expanded to take
          better advantage of DDS features.

          It has not yet been integrated into the Logger_Service as yet.

Thu Mar 24 20:13:28 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DnC_Dump.cpp:

          One more.

Thu Mar 24 20:10:55 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DnC_Dump.cpp:

          Stab at a fix for a compile error.

Thu Mar 24 18:48:45 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/RepositoryManager/RepositoryManager_Impl.cpp:
        * dance/RepositoryManager/Repository_Manager.cpp:
        * dance/RepositoryManager/ZIP_Wrapper.cpp:

          Compile errors.

Thu Mar 24 00:21:24 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * tests/Parsing/domain.cpp:
        * tests/Parsing/test.cpp:
        * tools/Split_Plan/Split_Plan.cpp:
        * tools/System_Health/Interceptors/SHS_CORBA_Transport.cpp:

          Defuzzing. I fixed my laptop emacs too.

Wed Mar 23 18:54:04 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * tools/Split_Plan/Split_Plan.cpp:
        * tools/System_Health/Interceptors/SHS_CORBA_Transport.cpp:

          Fixed scoreboard issues related to split strings on a build
          using wide characters.

Wed Mar 23 14:08:12 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/TargetManager/CmpClient.cpp:

          Log macros.

Wed Mar 23 14:04:55 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/TargetManager/DomainDataManager.cpp:
        * dance/TargetManager/Target_Manager.cpp:
        * dance/TargetManager/Target_Manager_Module.cpp:

          New logging macros.

Wed Mar 23 13:50:37 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/RepositoryManager/PC_Updater.cpp:
        * dance/RepositoryManager/RepositoryManager.cpp:
        * dance/RepositoryManager/RepositoryManager_Impl.cpp:
        * dance/RepositoryManager/Repository_Manager.cpp:
        * dance/RepositoryManager/Repository_Manager_Module.cpp:
        * dance/RepositoryManager/URL_Parser.cpp:
        * dance/RepositoryManager/ZIP_Wrapper.cpp:
        * dance/RepositoryManager/repository_manager_admin.cpp:
        * dance/RepositoryManager/repository_manager_admin_exec.cpp:

          New logging macros.

Tue Mar 22 18:54:09 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DAnCE_Utility.cpp:
        * dance/DAnCE_Utility.tpp:
        * dance/DomainApplication/Domain_Application_Impl.cpp:
        * dance/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * dance/DomainApplicationManager/Node_Locator.cpp:
        * dance/ExecutionManager/ExecutionManager_Impl.cpp:
        * dance/ExecutionManager/ExecutionManager_Module.cpp:
        * dance/ExecutionManager/Execution_Manager.cpp:
        * dance/NodeApplication/NodeApplication_Impl.cpp:
        * dance/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * dance/NodeManager/NodeManager_Impl.cpp:
        * dance/NodeManager/Node_Manager.cpp:
        * dance/NodeManager/Node_Manager_Module.cpp:
        * dance/Plan_Launcher/Daemon/PL_Daemon.cpp:
        * dance/Plan_Launcher/EM_Launcher.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * dance/Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:

          Converted to new logging macros.

Tue Mar 22 15:00:28 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tools/Convert_Plan/Convert_Plan_Impl.cpp:

          Another compile error fix.

Tue Mar 22 14:33:54 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tools/Config_Handlers/DnC_Dump_T.cpp:

          One more compile error fix.

Tue Mar 22 13:26:13 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/Logger/Logger_Service.cpp:
        * dance/NodeApplication/NodeApplication_Impl.cpp:
        * dance/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * dance/NodeManager/NodeManager_Impl.cpp:
        * dance/NodeManager/Node_Manager_Module.cpp:
        * dance/Plan_Launcher/Plan_Launcher.cpp:
        * dance/RepositoryManager/RepositoryManager.cpp:
        * dance/RepositoryManager/Repository_Manager_Module.cpp:
        * dance/RepositoryManager/ZIP_Wrapper.h:
        * dance/TargetManager/ResourceCommitmentManager.cpp:
        * dance/TargetManager/Target_Manager_Module.cpp:
        * tests/TargetManager/CmpClient.cpp:
        * tools/Artifact_Installation/Artifact_Installation_Impl.h:

          Fuzz.

Tue Mar 22 11:33:04 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DnC_Dump.cpp:

          Fix compile errors.

Tue Mar 22 11:32:08 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Log_Macros.h:
        * dance/Logger/Log_Macros.cpp:
        * dance/Logger/Logger_Service.cpp:

          Reworked log levels to start at 1 by default.

Tue Mar 22 06:32:47 UTC 2011  James Edmondson  <james.r.edmondson@vanderbilt.edu>

        * tools/Config_Handlers/DnC_Dump.cpp:

          removed using namespace

        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:

          removed using namespace

Mon Mar 21 11:07:19 UTC 2011  James Edmondson  <james.r.edmondson@vanderbilt.edu>

        - Applied formatting for 80 columns where possible
        - Added DANCE_TRACE to all functions so we have the option
          to turn them off and on.
        - Applied macros from dance\Logger\Log_Macros.h to replace
          numbers with appropriate log levels

        * tools/Artifact_Installation/Artifact_Installation_exec.cpp
        * tools/Artifact_Installation/Artifact_Installation_Impl.cpp
        * tools/Artifact_Installation/Installation_Repository_Manager.cpp
        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/Any_Handler.cpp
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/DataType_Handler.cpp
        * tools/Config_Handlers/DnC_Dump.cpp
        * tools/Config_Handlers/DnC_Dump_T.cpp
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/Dump_Obj.cpp
        * tools/Config_Handlers/DynAny_Handler/DataType_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAlias_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp
        * tools/Config_Handlers/XML_File_Intf.cpp
        * tools/Convert_Plan/Convert_Plan.cpp
        * tools/Convert_Plan/Convert_Plan_Impl.cpp
        * tools/Split_Plan/Locality_Splitter.cpp
        * tools/Split_Plan/Split_Plan.cpp
        * tools/Split_Plan/Split_Plan_exec.cpp
        * tools/System_Health/Daemon/SHS_Daemon.cpp
        * tools/System_Health/Daemon/SHS_Daemon_Impl.cpp
        * tools/System_Health/Interceptors/SHS_CORBA_Transport.cpp


Thu Mar 17 15:07:19 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Handler/LocalityActivator_Impl.cpp:

          Fuzz.

Thu Mar 17 04:48:06 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/Logger/Log_Macros.h:

          Updated log level descriptions, added DANCE_LOG_TRACE macro.

        * NEWS:

          Noted logging changes.

Thu Mar 17 03:19:34 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Configuration/CPU_Affinity.cpp:
        * dance/LocalityManager/Configuration/Process_Name.cpp:
        * dance/LocalityManager/Configuration/Process_Priority.cpp:
        * dance/LocalityManager/Handler/Config_Handler_Impl.cpp:
        * dance/LocalityManager/Handler/Inst_Handler_Impl.cpp:
        * dance/LocalityManager/Handler/Interceptor_Handler_Impl.cpp:
        * dance/LocalityManager/Handler/LocalityActivator_Impl.cpp:
        * dance/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:
        * dance/LocalityManager/Handler/Plugin_Conf.cpp:
        * dance/LocalityManager/Interceptors/Best_Effort.cpp:
        * dance/LocalityManager/Interceptors/Standard_Error.cpp:
        * dance/LocalityManager/Scheduler/Deployment_Completion.cpp:
        * dance/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
        * dance/LocalityManager/Scheduler/Events/Action_Base.cpp:
        * dance/LocalityManager/Scheduler/Events/Configured.cpp:
        * dance/LocalityManager/Scheduler/Events/Connect.cpp:
        * dance/LocalityManager/Scheduler/Events/Disconnect.cpp:
        * dance/LocalityManager/Scheduler/Events/Endpoint.cpp:
        * dance/LocalityManager/Scheduler/Events/Install.cpp:
        * dance/LocalityManager/Scheduler/Events/Passivate.cpp:
        * dance/LocalityManager/Scheduler/Events/Remove.cpp:
        * dance/LocalityManager/Scheduler/Events/Start.cpp:
        * dance/LocalityManager/Scheduler/Plugin_Manager.cpp:

          Updated to new log level macros.

Thu Mar 17 01:34:33 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Daemon/Locality_Manager.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:

          Updated to use new log level macros.

        * dance/Logger/Log_Macros.h:

          New log level macros.

Wed Mar 16 00:41:46 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd:

          Extended DataValue content model to allow for zero length sequences.

Thu Mar 10 09:16:00 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tools/Split_Plan/Locality_Splitter.cpp:
          Fixed warning from incorrect use of printf format.

Thu Mar  3 12:31:50 UTC 2011  William R. Otte  <r._w@local>

        * dance/NodeManager/NodeManager_Impl.cpp:
        * tools/Config_Handlers/Any_Handler.cpp:

          Fuzz.

Thu Mar  3 05:10:34 UTC 2011  William R. Otte  <r._w@local>

        * dance/NodeManager/NodeManager_Impl.h:
        * dance/NodeManager/Node_Manager_Module.cpp:

          Fuzz.

Thu Mar  3 05:08:23 UTC 2011  William R. Otte  <r._w@local>

        * dance/NodeManager/NodeManager_Impl.cpp:
        * tools/Config_Handlers/Any_Handler.cpp:

          Fuzz.

Thu Mar  3 05:06:20 UTC 2011  William R. Otte  <r._w@local>

        * dance/NodeManager/Node_Manager_Module.h:
        * dance/NodeManager/Node_Manager_Module.cpp:

          Removed --best-effort as a command line option.

Thu Mar  3 05:05:20 UTC 2011  William R. Otte  <r._w@local>

        * tools/Config_Handlers/Any_Handler.cpp:

          Catch CORBA exceptions to give better error message.

Thu Mar  3 05:04:29 UTC 2011  William R. Otte  <r._w@local>

        * docs/LocalityManager-Plugins.txt:

          Updated to reflect --best-effort change.

Thu Mar  3 03:44:35 UTC 2011  William R. Otte  <r._w@local>

        * bin/nodemanager.localityconfig:
        * dance/NodeManager/NodeManager_Impl.h:
        * dance/NodeManager/NodeManager_Impl.cpp:
        * dance/NodeManager/Node_Manager_Module.h:
        * dance/NodeManager/Node_Manager_Module.cpp:

          Removed --best-effort and integrated localityconfig based configuration
          to the NodeManager.  Default configuration read from
          DANCE_ROOT/docs/nodemanager.localityconfig, alternates may be
          supplied with the --node-config command line option.

Mon Feb 28 13:22:16 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * rules.dance.GNU:
          Fixed spelling of DAnCE versions.

Fri Feb 11 11:16:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Sun Jan 23 19:27:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tools/Config_Handlers/DynAny_Handler/DataType_Handler.h:
                * tools/Config_Handlers/DynAny_Handler/DataType_Handler.cpp:
                * tools/Config_Handlers/DynAny_Handler/DynAlias_Handler.cpp:
                * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h:
                * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
                * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.h:
                * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp:
                * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
                * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.h:
                * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp:
                  Fixed valgrind leaks, layout changes, use DANCE_ERROR

        Fri Jan 21 15:43:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
                  Fixed typo in comment

                * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp:
                  Postfix increment

        === end changelog ===

Fri Jan 28 11:21:05 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.1 released.

Thu Jan 20 11:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Tue Jan 18 16:13:27 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * DAnCE-INSTALL.html:
                  Small improvements

        Tue Jan 18 14:40:11 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * dance/DAnCE_Utility.cpp:
                  Use LM_ERROR

                * docs/schema/README.html:
                  Updated a few text items

                * docs/schema/xsc-banner.h:
                  Removed BCB workaround

                * etc/DAnCE.doxygen:
                  Improved doxygen geneation

                * docs/schema/CIAOEvents.xsd:
                * docs/schema/CIAOServerResources.xsd:
                * docs/schema/SANet_Network.xsd:
                * docs/schema/ServerResourceUsage.txt:
                * docs/schema/Task_Map.xsd:
                * docs/schema/ciaopolicy.xsd:
                  Removed these files, all obsolete

        Fri Jan 14 10:25:00 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * dance/LocalityManager/Handler/LocalityActivator_Impl.cpp:
                  Optimized logging.

        Mon Dec 27 15:07:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * bin/dance_tests.lst:

                * tests/PartialShutdown/*:
                  Removed this test since it uses CIAO.

        Mon Dec 27 13:21:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * bin/dance_tests.lst:
                * tests/PartialShutdown/*:
                  Test which testswhether all connections are correctly shutdown
                  when one component is shutdown using a deploymentplan.
                  For now it tests whether all connections were shutdown properly.

        === end changelog ===

Tue Jan 18 11:45:35 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/README.html:

          Removed mention of modified_deployment.

Tue Jan 18 11:26:40 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Modified_Deployment.xsd:

          Removed this file.

Fri Dec 17 15:14:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * */*.*:
          Merged RemedyWork branch.

Tue Dec 14 15:23:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Prepared for next release

Tue Dec 14 13:13:17 CET 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 1.0.0 released.

Mon Nov 22 12:46:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/DAnCE_Utility.cpp:
          Fixed logging

Mon Nov 22 10:18:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/DAnCE_Utility.h:
        * dance/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:
        * dance/LocalityManager/Scheduler/Events/Connect.cpp:
        * dance/LocalityManager/Scheduler/Events/Install.cpp:
        * dance/NodeApplication/NodeApplication_Impl.h:
        * dance/NodeApplication/NodeApplication_Impl.cpp:
        * dance/NodeManager/Node_Manager_Module.cpp:
        * tests/Config_Handlers/Package_Handlers/test.cpp:
        * tests/Config_Handlers/test.cpp:
        * tools/System_Health/Interceptors/SHS_Interceptor.cpp:
          Various layout, logging improvements

Tue Nov  2 11:30:24 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * NEWS:

Mon Nov 01 13:21:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * dance/DomainApplicationManager/Node_Locator.cpp:
        * dance/DomainApplicationManager/Node_Locator.h:
        * dance/ExecutionManager/ExecutionManager_Impl.cpp:
        * dance/ExecutionManager/ExecutionManager_Module.cpp:
        * dance/ExecutionManager/ExecutionManager_Impl.h:
        * dance/ExecutionManager/ExecutionManager_Module.h:
        Removed functionality to use *.dat file containing node manager map,
        so also removed option node-map.

Sat Oct 30 12:22:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * dance/DAnCE_Utility.h:
        Export new function get_satisfierproperty_value

Fri Oct 29 13:12:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * dance/DomainApplicationManager/Node_Locator.cpp:
        * dance/DomainApplicationManager/Node_Locator.h:
        * dance/DAnCE_Properties.idl:
        Add check on property name and resourceType for Node address in cdd file.

        * dance/DAnCE_Utility.h:
        * dance/DAnCE_Utility.cpp:
        Add get_satisfierproperty_value

Fri Oct 29 11:08:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * dance/DomainApplicationManager/DomainApplicationManager.mpc:
        Add missing dance_config_handlers.

Thu Oct 28 12:33:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * MPC/config/dance_domainapplicationmanager.mpb:
        * dance/DomainApplicationManager/Node_Locator.cpp:
        * dance/DomainApplicationManager/Node_Locator.h:
        * dance/ExecutionManager/ExecutionManager_Impl.cpp:
        * dance/ExecutionManager/ExecutionManager_Module.cpp:
        * dance/ExecutionManager/ExecutionManager_Impl.h:
        * dance/ExecutionManager/ExecutionManager_Module.h:
        Add posibility to the Node_Locator to use cdd files.


Thu Oct 28 11:36:01 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * dance/Version.h:
          Fixed incorrect DANCE spelling generated by make_release.py.

Wed Oct 27 17:44:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/LocalityManager/ExplicitExec/run_test.pl:
        * tests/LocalityManager/ProcessName/run_test.pl:
        * tests/LocalityManager/SpawnMultiple/run_test.pl:
        * tests/LocalityManager/SpawnOne/run_test.pl:
          Fixed typo

        * dance/LocalityManager/Scheduler/Events/Action_Base.cpp:
          Layout changes

        * tools/Artifact_Installation/Artifact_Installation_exec.cpp:
          Initialise pointer with 0

Wed Oct 27 10:38:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ChangeLog:
        * NEWS:
          Updated for next release

Wed Oct 27 12:01:05 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE version 0.8.3 released.

Mon Oct 18 18:39:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/DAnCE_Properties.idl:
          Fixed typo in property names

Mon Oct 18 12:59:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:
          Some memory leak fixes, but we still have a lot to resolve

        * dance/NodeManager/NodeManager_Impl.cpp:
        * dance/NodeManager/Node_Manager_Module.cpp:
          Layout

        * etc/DAnCE.doxygen:
          Changed directories

Sat Oct 16 13:43:55 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:

          Compile fix.

Fri Oct 15 15:50:08 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Handler/Locality_Manager_Handler_Impl.cpp:

          Get the ORB from the Plugin_Manager singleton instead of internal TAO
          tables.  Fixes bugzilla 3913.

Tue Oct 12 14:27:03 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/LocalityManager/Configuration/Process_Priority.cpp:

          Crash fix.

Fri Oct  8 13:59:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
          Made some fixes

Fri Oct  8 12:31:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/LocalityManager/Scheduler/Events/Passivate.cpp:
          Fixed incorrect logging

Fri Oct  8 11:44:31 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/DAnCE_DeploymentInterceptors.idl:
        * dance/DAnCE_DeploymentInterceptors_Base_Impl.h:
        * dance/DAnCE_DeploymentInterceptors_Base_Impl.cpp:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.h:
        * dance/LocalityManager/Daemon/Locality_Manager_Impl.cpp:
        * dance/LocalityManager/Scheduler/Deployment_Scheduler.cpp:
        * dance/LocalityManager/Scheduler/Events/Disconnect.h:
        * dance/LocalityManager/Scheduler/Events/Disconnect.cpp:
        * dance/LocalityManager/Scheduler/Scheduler.mpc:
          Some starter code to let DAnCE also disconnect all connections in
          the plan at shutdown, this code is currently not called

Thu Oct  7 10:59:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * COPYING:
          Small fix

        * dance/LocalityManager/Daemon/Locality_Manager_Task.cpp:
          Layout changes

        * dance/LocalityManager/Handler/Plugin_Conf.cpp:
          Fixed memory leak coming from ACE_Read_Buffer::rec_read

Mon Oct  4 14:29:30 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/ExplicitExec/ExplicitExec.mpc:

          Removed dependency on CIAO Deployment handlers.

Fri Oct  1 16:00:51 UTC 2010  William Otte  <wotte@zifnab>

        * COPYING:

          Updated to include DAnCE.

Fri Oct  1 14:29:46 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE-INSTALL.html:
          DAnCE install instructions.

Fri Oct  1 10:51:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE_TAO.mwc:
          Removed projects we don't use in DAnCE

Wed Sep 29 18:37:07 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * dance/LocalityManager/Daemon/Locality_Manager.mpc:
        * tools/Config_Handlers/Config_Handlers.mpc:
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.mpc:
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc:
        * tools/Split_Plan/Split_Plan.mpc:
        * tools/System_Health/Daemon/SHS_Daemon.mpc:
        * tools/System_Health/System_Health.mpc:

          "make install" fixes.

Mon Sep 27 19:20:48 UTC 2010  William Otte  <wotte@zifnab>

        * DANCE_TAO.mwc

          Fixed for the restructuring.

Mon Sep 27 09:40:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dance/LocalityManager/Handler/DAnCE_Locality_Handler_export.h:
        * dance/LocalityManager/Interceptors/DAnCE_Error_Interceptors_export.h:
        * tools/Convert_Plan/DAnCE_Convert_Plan_export.h:
        * tools/Split_Plan/DAnCE_Split_Plan_export.h:
        * tools/System_Health/Interceptors/DAnCE_SHS_CORBA_Transport_export.h:
        * tools/System_Health/Interceptors/DAnCE_SHS_Interceptors_export.h:
          Removed generated by line

Fri Sep 24 14:49:57 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance/DAnCE_Properties.mpc:
        * dance/Deployment/Deployment_Core.mpc:
        * dance/DomainApplication/DomainApplication.mpc:
        * dance/DomainApplicationManager/DomainApplicationManager.mpc:
        * dance/LocalityManager/Daemon/Locality_Manager.mpc:
        * dance/LocalityManager/Handler/LocalityHandler.mpc:
        * dance/LocalityManager/Scheduler/Scheduler.mpc:
        * dance/Logger/Logger.mpc:
        * dance/NodeApplication/NodeApplication.mpc:
        * dance/NodeApplicationManager/NodeApplicationManager.mpc:
        * dance/RepositoryManager/RepositoryManager.mpc:

          Various 'make install' fixes.

Fri Sep 24 14:25:16 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/ExplicitExec/ExplicitExec.mpc:

          Compile fix.

Fri Sep 24 08:02:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * dance/RepositoryManager/Repository_Manager_Module.h:
        * dance/RepositoryManager/Repository_Manager_Module.cpp:
          Resolved compile error due to movement.

Thu Sep 23 20:41:48 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * dance:

          Moved most DAnCE code under this directory to match ACE+TAO layout.

        * rules.dance.GNU:

          Updated case of pat to version file.

        * tests/DeploymentPlanDump/test.cpp:
        * tests/DeploymentPlanTestReferences/test.cpp:
        * tests/DeploymentTest1/test.cpp:
        * tests/NameServiceTest/clt_main.cpp:
        * tests/NameServiceTest/srv_main.cpp:
        * tests/NodeApplicationManager-NodeApplication/test.cpp:
        * tests/NodeManager-NodeApplicationManager/test.cpp:
        * tests/Parsing/domain.cpp:
        * tests/Parsing/test.cpp:
        * tools/Artifact_Installation/Artifact_Installation_Handler_Svc.cpp:
        * tools/Artifact_Installation/Artifact_Installation_Impl.h:
        * tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * tools/Artifact_Installation/Artifact_Installation_exec.cpp:
        * tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.idl:
        * tools/Artifact_Installation/File_Installation_Handler.cpp:
        * tools/Artifact_Installation/Http_Installation_Handler.cpp:
        * tools/Artifact_Installation/Installation_Repository_Manager.cpp:
        * tools/Artifact_Installation/Installation_Repository_Manager_Impl.cpp:
        * tools/Config_Handlers/ADD_Handler.cpp:
        * tools/Config_Handlers/Any_Handler.cpp:
        * tools/Config_Handlers/CCD_Handler.cpp:
        * tools/Config_Handlers/CEPE_Handler.cpp:
        * tools/Config_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/CRDD_Handler.cpp:
        * tools/Config_Handlers/ComponentPropertyDescription_Handler.cpp:
        * tools/Config_Handlers/DD_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/DP_PCD_Handler.cpp:
        * tools/Config_Handlers/DataType_Handler.h:
        * tools/Config_Handlers/DataType_Handler.cpp:
        * tools/Config_Handlers/DnC_Dump.h:
        * tools/Config_Handlers/DnC_Dump.cpp:
        * tools/Config_Handlers/DnC_Dump_T.cpp:
        * tools/Config_Handlers/Dump_Obj.h:
        * tools/Config_Handlers/Dump_Obj.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynAlias_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp:
        * tools/Config_Handlers/ERE_Handler.cpp:
        * tools/Config_Handlers/ESD_Handler.cpp:
        * tools/Config_Handlers/IDD_Handler.cpp:
        * tools/Config_Handlers/IDREF_Base.cpp:
        * tools/Config_Handlers/ID_Handler.cpp:
        * tools/Config_Handlers/IRDD_Handler.cpp:
        * tools/Config_Handlers/MDD_Handler.cpp:
        * tools/Config_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/PL_Handler.cpp:
        * tools/Config_Handlers/PSPE_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.h:
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h:
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h:
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/PC_Intf.cpp:
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp:
        * tools/Config_Handlers/Property_Handler.cpp:
        * tools/Config_Handlers/RDD_Handler.cpp:
        * tools/Config_Handlers/Req_Handler.cpp:
        * tools/Config_Handlers/STD_CID_Handler.h:
        * tools/Config_Handlers/STD_CID_Handler.cpp:
        * tools/Config_Handlers/STD_CPD_Handler.cpp:
        * tools/Config_Handlers/STD_PC_Intf.cpp:
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp:
        * tools/Config_Handlers/XML_File_Intf.cpp:
        * tools/Convert_Plan/Convert_Plan.cpp:
        * tools/Convert_Plan/Convert_Plan_Impl.h:
        * tools/Convert_Plan/Convert_Plan_Impl.cpp:
        * tools/Split_Plan/Locality_Splitter.h:
        * tools/Split_Plan/Locality_Splitter.cpp:
        * tools/Split_Plan/Node_Splitter.h:
        * tools/Split_Plan/Node_Splitter.cpp:
        * tools/Split_Plan/Split_Plan.h:
        * tools/Split_Plan/Split_Plan.cpp:
        * tools/Split_Plan/Split_Plan_exec.cpp:
        * tools/Split_Plan/Sub_UUID_Generator.h:
        * tools/System_Health/Daemon/SHS_Daemon.cpp:
        * tools/System_Health/Daemon/SHS_Daemon_Impl.cpp:
        * tools/System_Health/Interceptors/SHS_CORBA_Transport.cpp:
        * tools/System_Health/Interceptors/SHS_Interceptor.h:
        * tools/System_Health/Interceptors/SHS_Interceptor.cpp:
        * tools/System_Health/Interceptors/SHS_Transport.h:
        * tools/System_Health/SHS_DataModel.idl:

          Updates from the re-arrangement.

Thu Sep 23 17:24:01 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_config_handlers_base.mpb:
        * tools/Config_Handlers:
        * tools/Config_Handlers/Config_Handlers.mpc:

          Moved Config handlers to tools subdirectory.

        * Config_Handlers:

          Removed.

Thu Sep 23 16:17:03 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * rules.dance.GNU:

          Updated setting the shared library version numbers to match the
          recent change to gnu.mpd and rules.lib.GNU.

Wed Sep 22 14:10:38 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tools/XML/XML.mpc:

          Header file was renamed without changing the mpc file.

Wed Sep 22 08:53:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * tests/LocalityManager/ExplicitExec/run_test.pl:
        * tests/LocalityManager/ProcessName/run_test.pl:
        * tests/LocalityManager/SpawnMultiple/run_test.pl:
        * tests/LocalityManager/SpawnOne/run_test.pl:
          Renamed Naming_Service to toa_cosnaming.

Tue Sep 21 13:36:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DAnCE_Utility.cpp:
        * tools/XML/DAnCE_XML_Utils_Export.h:
        * tools/XML/XML.mpc:
        * tools/XML/XML_Error_Handler.h:
        * tools/XML/XML_Helper.h:
        * tools/XML/XML_Helper.tpp:
        * tools/XML/XML_Schema_Resolver.h:
        * tools/XML/XercesString.h:
        * tools/XML/CIAO_XML_Utils_Export.h:
          Updated export macros for Windows

Fri Sep 17 18:52:11 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * DAnCE/DAnCE_Properties.mpc:

          Set up "make install" commands for rules.dance.GNU.

Fri Sep 17 08:40:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * tests/Config_Handlers/test.cdp:
        * tests/DeploymentPlanDump/CcmDance2-host1.cdp:
        * tests/DeploymentPlanDump/CcmDance2-host2.cdp:
        * tests/DeploymentPlanDump/CcmDance2.cdp:
        * tests/DeploymentPlanDump/CcmDance4-host1.cdp:
        * tests/DeploymentPlanDump/CcmDance4-host2.cdp:
        * tests/DeploymentPlanDump/NewCcmDance1.cdp:
        * tests/LocalityManager/ExplicitExec/Deployment.cdp:
        * tests/LocalityManager/ProcessName/Deployment.cdp:
        * tests/LocalityManager/SpawnMultiple/Deployment.cdp:
        * tests/LocalityManager/SpawnOne/Deployment.cdp:
        * tests/Parsing/InvalidConfigPropValueDeclaration.cdp:
        * tests/Parsing/InvalidConnection.cdp:
        * tests/Parsing/InvalidDatatypeValue.cdp:
        * tests/Parsing/InvalidElement.cdp:
        * tests/Parsing/InvalidReference.cdp:
          Added Id string.

Tue Sep 14 11:28:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/DAnCE.doxygen:
          Updated input path

Sun Sep 12 19:21:42 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * rules.dance.GNU:

          Fixes.

Sun Sep 12 18:47:31 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * rules.dance.GNU:

          Adapted from CIAO.

Fri Sep 10 17:19:34 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/dance_tests.lst:

          Moved appropriate tests to CIAO list.

Fri Sep 10 17:19:06 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance_stub.mpb:

          Add DANCE_ROOT as an include.

Fri Sep 10 17:18:26 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL3_to_XMI:

          MOved back to CIAO.

Fri Sep 10 15:40:42 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Config_Handlers/ADD_Handler.cpp:
        * Config_Handlers/Any_Handler.cpp:
        * Config_Handlers/CCD_Handler.cpp:
        * Config_Handlers/CEPE_Handler.cpp:
        * Config_Handlers/CPD_Handler.cpp:
        * Config_Handlers/CRDD_Handler.cpp:
        * Config_Handlers/ComponentPropertyDescription_Handler.cpp:
        * Config_Handlers/DD_Handler.cpp:
        * Config_Handlers/DP_Handler.cpp:
        * Config_Handlers/DP_PCD_Handler.cpp:
        * Config_Handlers/DataType_Handler.h:
        * Config_Handlers/DataType_Handler.cpp:
        * Config_Handlers/DnC_Dump.h:
        * Config_Handlers/DnC_Dump.cpp:
        * Config_Handlers/Dump_Obj.h:
        * Config_Handlers/ERE_Handler.cpp:
        * Config_Handlers/ESD_Handler.cpp:
        * Config_Handlers/IDD_Handler.cpp:
        * Config_Handlers/IDREF_Base.cpp:
        * Config_Handlers/ID_Handler.cpp:
        * Config_Handlers/IRDD_Handler.cpp:
        * Config_Handlers/MDD_Handler.cpp:
        * Config_Handlers/PCD_Handler.cpp:
        * Config_Handlers/PL_Handler.cpp:
        * Config_Handlers/PSPE_Handler.cpp:
        * Config_Handlers/Package_Handlers/CAD_Handler.h:
        * Config_Handlers/Package_Handlers/CAD_Handler.cpp:
        * Config_Handlers/Package_Handlers/CID_Handler.cpp:
        * Config_Handlers/Package_Handlers/CPD_Handler.cpp:
        * Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h:
        * Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp:
        * Config_Handlers/Package_Handlers/IAD_Handler.cpp:
        * Config_Handlers/Package_Handlers/NIA_Handler.h:
        * Config_Handlers/Package_Handlers/PCD_Handler.cpp:
        * Config_Handlers/Package_Handlers/PC_Intf.cpp:
        * Config_Handlers/Package_Handlers/SID_Handler.cpp:
        * Config_Handlers/Property_Handler.cpp:
        * Config_Handlers/RDD_Handler.cpp:
        * Config_Handlers/Req_Handler.cpp:
        * Config_Handlers/STD_CID_Handler.h:
        * Config_Handlers/STD_CID_Handler.cpp:
        * Config_Handlers/STD_CPD_Handler.cpp:
        * Config_Handlers/STD_PC_Intf.cpp:
        * Config_Handlers/SatisfierProperty_Handler.cpp:
        * Config_Handlers/XML_File_Intf.cpp:
        * DAnCE/DAnCE_ArtifactInstallation.idl:
        * DAnCE/DAnCE_Utility.h:
        * Deployment/Deployment_Application.idl:
        * Deployment/Deployment_ApplicationManager.idl:
        * Deployment/Deployment_Connection.idl:
        * Deployment/Deployment_Data.idl:
        * Deployment/Deployment_DeploymentPlan.idl:
        * Deployment/Deployment_DomainApplication.idl:
        * Deployment/Deployment_DomainApplicationManager.idl:
        * Deployment/Deployment_ExecutionManager.idl:
        * Deployment/Deployment_NodeApplication.idl:
        * Deployment/Deployment_NodeApplicationManager.idl:
        * Deployment/Deployment_NodeManager.idl:
        * Deployment/Deployment_Packaging_Data.idl:
        * Deployment/Deployment_RepositoryManager.idl:
        * Deployment/Deployment_ResourceCommitmentManager.idl:
        * Deployment/Deployment_TargetData.idl:
        * Deployment/Deployment_TargetManager.idl:
        * DomainApplication/Domain_Application_Impl.cpp:
        * DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DomainApplicationManager/Node_Locator.h:
        * DomainApplicationManager/Node_Locator.cpp:
        * ExecutionManager/ExecutionManager_Impl.cpp:
        * ExecutionManager/ExecutionManager_Module.cpp:
        * ExecutionManager/Execution_Manager.cpp:
        * LocalityManager/Configuration/CPU_Affinity.cpp:
        * LocalityManager/Configuration/Process_Name.cpp:
        * LocalityManager/Configuration/Process_Priority.cpp:
        * LocalityManager/Daemon/Locality_Manager.cpp:
        * LocalityManager/Daemon/Locality_Manager_Task.cpp:
        * LocalityManager/Handler/LocalityActivator_Impl.cpp:
        * LocalityManager/Handler/Plugin_Conf.cpp:
        * LocalityManager/Interceptors/Best_Effort.cpp:
        * LocalityManager/Interceptors/Standard_Error.cpp:
        * LocalityManager/Scheduler/Events/Action_Base.cpp:
        * NodeApplication/NodeApplication_Impl.cpp:
        * NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * NodeManager/NodeManager_Impl.cpp:
        * NodeManager/Node_Manager.cpp:
        * NodeManager/Node_Manager_Module.h:
        * NodeManager/Node_Manager_Module.cpp:
        * Plan_Launcher/Daemon/PL_Daemon.cpp:
        * Plan_Launcher/EM_Launcher.h:
        * Plan_Launcher/NM_Launcher.h:
        * Plan_Launcher/Plan_Launcher.cpp:
        * Plan_Launcher/Plan_Launcher_Base.h:
        * Plan_Launcher/Plan_Launcher_Base_Impl_T.h:
        * Plan_Launcher/Plan_Launcher_Base_Impl_T.cpp:
        * RepositoryManager/PC_Updater.h:
        * RepositoryManager/PC_Updater.cpp:
        * RepositoryManager/RM_Helper.h:
        * RepositoryManager/RM_Helper.cpp:
        * RepositoryManager/RepositoryManager.mpc:
        * RepositoryManager/RepositoryManagerDaemon.idl:
        * RepositoryManager/RepositoryManager_Impl.cpp:
        * RepositoryManager/Repository_Manager.cpp:
        * RepositoryManager/Repository_Manager_Module.cpp:
        * RepositoryManager/URL_Parser.cpp:
        * RepositoryManager/ZIP_Wrapper.cpp:
        * RepositoryManager/repository_manager_admin.cpp:
        * RepositoryManager/repository_manager_admin_exec.cpp:
        * TargetManager/DomainDataManager.cpp:
        * TargetManager/ResourceCommitmentManager.h:
        * TargetManager/ResourceCommitmentManager.cpp:
        * TargetManager/Target_Manager.cpp:
        * TargetManager/Target_Manager_Module.cpp:
        * tests/Config_Handlers/DynAny_Handler/test.cpp:
        * tests/Config_Handlers/Package_Handlers/test.cpp:
        * tests/Config_Handlers/test.cpp:
        * tests/DeploymentPlanDump/test.cpp:
        * tests/DeploymentPlanTestReferences/test.cpp:
        * tests/DeploymentTest1/test.cpp:
        * tests/NodeApplicationManager-NodeApplication/test.cpp:
        * tests/NodeManager-NodeApplicationManager/test.cpp:
        * tests/Parsing/domain.cpp:
        * tests/Parsing/test.cpp:
        * tests/TargetManager/CmpClient.cpp:
        * tools/Artifact_Installation/Artifact_Installation.mpc:
        * tools/Artifact_Installation/Artifact_Installation_Handler_Svc.cpp:
        * tools/Artifact_Installation/Artifact_Installation_Impl.cpp:
        * tools/Artifact_Installation/Artifact_Installation_exec.cpp:
        * tools/Artifact_Installation/DAnCE_Artifact_Installation_Handler.idl:
        * tools/Artifact_Installation/File_Installation_Handler.cpp:
        * tools/Artifact_Installation/Http_Installation_Handler.cpp:
        * tools/Artifact_Installation/Installation_Repository_Manager.cpp:
        * tools/Artifact_Installation/Installation_Repository_Manager_Impl.cpp:
        * tools/Convert_Plan/Convert_Plan.cpp:
        * tools/Split_Plan/Locality_Splitter.cpp:
        * tools/Split_Plan/Node_Splitter.cpp:
        * tools/Split_Plan/Split_Plan.cpp:
        * tools/Split_Plan/Split_Plan_exec.cpp:
        * tools/System_Health/Daemon/SHS_Daemon.cpp:
        * tools/System_Health/Daemon/SHS_Daemon_Impl.cpp:
        * tools/System_Health/Interceptors/SHS_CORBA_Transport.cpp:
        * tools/System_Health/Interceptors/SHS_Interceptor.cpp:

          Fixed includes such as DAnCE/Deployment and DAnCE/Logger to
          drop DAnCE prefix.  Also removed CIAO logger initialization.

Fri Sep 10 15:37:10 UTC 2010  William Otte  <wotte@zifnab>

        * tools/IDL3_to_XMI:

          Moving back to CIAO.

Fri Sep 10 15:10:35 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE_Core.mpc:
        * DAnCE/DAnCE_Properties.mpc:
        * Deployment/Deployment_Core.mpc:
        * LocalityManager/Daemon/Locality_Manager.mpc:
        * LocalityManager/Interceptors/Error_Interceptors.mpc:
        * MPC/config/dance_deployment_stub.mpb:
        * MPC/config/danceidldefaults.mpb:
        * MPC/config/dancelib_with_idl.mpb:
        * NodeManager/NodeManager.mpc:
        * Plan_Launcher/Daemon/PL_Daemon.mpc:
        * tests/Config_Handlers/DynAny_Handler/test.mpc:
        * tests/NameServiceTest/NameServiceTest.mpc:
        * tests/TargetManager/TM_Client.mpc:
        * tools/System_Health/Daemon/SHS_Daemon.mpc:
        * tools/System_Health/Interceptors/SHS_Interceptor.mpc:
        * tools/System_Health/System_Health.mpc:

          Resolved MPC errors from CIAO separation.

Fri Sep 10 15:09:04 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/LocalityManager/CPUAffinity:
        * tests/LocalityManager/CommandlinePassage:
        * tests/LocalityManager/UnexpectedShutdown:
        * tests/Parsing/PlanLauncher:

          Moved these tests to CIAO.

Fri Sep 10 14:43:35 UTC 2010  William Otte  <wotte@zifnab>

        * .:

         Moved DAnCE to root of DOC Repository.

Thu Sep  9 14:25:19 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL3_to_XMI/Bug_3607_Regression/run_test.pl:
        * tests/IDL3_to_XMI/IDL2XMI_Test/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Array/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Included_File/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Module_Reopen/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Native/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Sequence/run_test.pl:

          Corrected path to binary.

Thu Sep  9 11:15:16 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * RepositoryManager/RepositoryManager_Impl.cpp:

          Compile fix.

Thu Sep  9 00:22:51 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DAnCE_Core.mpc:

          Added Version.h to stub project.

        * DAnCE/install_versionh.mpc:

          Removed this file.

Wed Sep  8 15:29:55 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/dance_tests.lst:
        * tests/CIAO:

          Moved all CIAO specific tests to CIAO.

Wed Sep  8 15:07:04 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * bin/dance_tests.lst:

          Added IDL3_to_XMI tests.

Wed Sep  8 15:05:25 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS:

          Added a news file.

Wed Sep  8 15:04:34 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/dance.mpb:
        * MPC/config/dance_deployment_skel.mpb:
        * MPC/config/dance_deployment_stub.mpb:

          Removed references to CIAO_ROOT.

        * Logger/Logger_Service.h:

          Fallout from above change.

Wed Sep  8 15:03:22 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL3_to_XMI:
        * tools/IDL3_to_XMI:
        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.h:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp:
        * tools/IDL3_to_XMI/Literals.h:
        * tools/IDL3_to_XMI/Literals.cpp:
        * tools/IDL3_to_XMI/be_produce.cpp:
        * tests/IDL3_to_XMI/IDL2XMI_Test/IDL2XMI_Test.mpc:
        * tests/IDL3_to_XMI/IDL2XMI_Test/XML_Helper.h:
        * tests/IDL3_to_XMI/IDL2XMI_Test/XML_Helper.cpp:
        * tests/IDL3_to_XMI/IDL2XMI_Test/xmlvalidator.cpp:

          Moved IDL3_to_XMI to DAnCE.

Wed Sep  8 14:59:18 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Config_Handlers/*:

          Moved config handlers into the DAnCE namespace.

        * tools/XML:
        * tools/XML/XML.mpc:
        * tools/XML/XML_Error_Handler.h:
        * tools/XML/XML_Error_Handler.cpp:
        * tools/XML/XML_Helper.h:
        * tools/XML/XML_Helper.tpp:
        * tools/XML/XML_Schema_Resolver.h:
        * tools/XML/XML_Schema_Resolver.tpp:
        * tools/XML/XML_Schema_Resolver.cpp:
        * tools/XML/XercesString.h:
        * tools/XML/XercesString.cpp:

          Moved XML utils from CIAO.

        * MPC/config/dance_config_handlers.mpb:
        * MPC/config/dance_config_handlers_base.mpb:
        * MPC/config/dance_xml_utils.mpb:

          Updated to reflect move of XML Utils from CIAO.

        * TargetManager/DomainDataManager.cpp:
        * tests/DeploymentPlanDump/test.cpp:
        * tests/DeploymentPlanTestReferences/test.cpp:
        * tests/DeploymentTest1/test.cpp:
        * tests/NameServiceTest/clt_main.cpp:
        * tests/NameServiceTest/srv_main.cpp:
        * tests/Parsing/domain.cpp:
        * tests/Parsing/test.cpp:
        * tools/Convert_Plan/Convert_Plan_Impl.cpp:

          Fallout from the namespace change.

Wed Sep  8 14:57:25 UTC 2010  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Version.h:
        * DAnCE/install_versionh.mpc:
        * DAnCE_TAO.mwc:
        * PROBLEM-REPORT-FORM:
        * VERSION:

          Initial files necessary to make DAnCE separate from CIAO.

Tue Sep  7 11:46:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * LocalityManager/Handler/LocalityActivator_Impl.cpp:
        * NodeManager/Node_Manager_Module.cpp:
          Optimized logging

Sun Sep  5 18:17:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DAnCE/DAnCE_Properties.idl:
          Doxygen changes

        * DAnCE/DAnCE/DAnCE_Utility.h:
          Doxygen and layout changes

        * DAnCE/LocalityManager/Configuration/CPU_Affinity.cpp:
        * DAnCE/LocalityManager/Configuration/Process_Name.cpp:
          Const changes

        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          Initialise pointer with 0

Sat Sep 04 11:30:18 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.8.2 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
